from sqlmodel import Field, SQLModel

from xmpp_api.util.db import uuid


class User(SQLModel, table=True):
    # The ID of the user
    id: str = Field(default_factory=uuid, primary_key=True)

    name: str

    # Access token
    token: str
